summaryrefslogtreecommitdiffhomepage
path: root/libs/lucittpd/root
diff options
context:
space:
mode:
authorSteven Barth <steven@midlink.org>2008-12-07 11:47:59 +0000
committerSteven Barth <steven@midlink.org>2008-12-07 11:47:59 +0000
commit506822ee7080e86584a4f6436aeeb8edb411c88e (patch)
tree9bc823e936e44b0a6e16f7b2a14520c30e12a31c /libs/lucittpd/root
parenta2d1ca7af0e72c451b31c7a35e13df9583de048e (diff)
Make LuCIttpd work OOTB
Diffstat (limited to 'libs/lucittpd/root')
-rw-r--r--libs/lucittpd/root/etc/config/lucittpd6
-rwxr-xr-xlibs/lucittpd/root/etc/init.d/lucittpd44
2 files changed, 50 insertions, 0 deletions
diff --git a/libs/lucittpd/root/etc/config/lucittpd b/libs/lucittpd/root/etc/config/lucittpd
new file mode 100644
index 000000000..803a6e50c
--- /dev/null
+++ b/libs/lucittpd/root/etc/config/lucittpd
@@ -0,0 +1,6 @@
+config lucittpd lucittpd
+ option port 80
+ option timeout 90
+ option keepalive 0
+ option path /usr/lib/lucittpd/plugins/
+ option root /www
diff --git a/libs/lucittpd/root/etc/init.d/lucittpd b/libs/lucittpd/root/etc/init.d/lucittpd
new file mode 100755
index 000000000..139f30b57
--- /dev/null
+++ b/libs/lucittpd/root/etc/init.d/lucittpd
@@ -0,0 +1,44 @@
+#!/bin/sh /etc/rc.common
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/lucittpd
+NAME=lucittpd
+DESC="HTTP server"
+START=49
+
+test -x $DAEMON || exit 0
+set -e
+
+start() {
+ echo -n "Starting $DESC: $NAME"
+ start-stop-daemon -S -q -x $DAEMON
+ echo "."
+}
+
+stop() {
+ echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon -K -q -x $DAEMON
+ echo "."
+}
+
+restart() {
+ # echo -n "Restarting $DESC: $NAME... "
+ # start-stop-daemon -K -s HUP -q -x $DAEMON
+ # echo "done."
+ stop
+ sleep 3
+ start
+}
+
+reload() {
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo -n "Reloading $DESC configuration... "
+ # start-stop-daemon -K -s 1 -q -x $DAEMON
+ # echo "done."
+ restart
+}